import { Repository } from "typeorm";
import { PageModule } from "../../common/module/module.entity";
export declare class AdminModuleService {
    private readonly moduleRepository;
    constructor(moduleRepository: Repository<PageModule>);
    findAll(): Promise<PageModule[]>;
    findOne(id: number): Promise<PageModule>;
    remove(id: number): Promise<void>;
}
